Bug 118023 - iiimf should allows any trigger key to activate IM
iiimf should allows any trigger key to activate IM
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: FutureFeature, i18n
: 121498 127647 138963 (view as bug list)
Depends On:
Blocks: IIIMF FC4Target
  Show dependency treegraph
Reported: 2004-03-11 02:40 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version: iiimf-12.2-0.7.svn2578
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-05 03:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-03-11 02:40:52 EST
Description of problem:
iiimf is using Ctrl-Space are the input toggle key binding.
Japanese and Korean users are used to Shift-Space at least,
and also Emacs used Ctrl-Space to set its "mark".

Additional info:
If it is desirable to keep Ctrl-Space for zh, perhaps
the default could be locale dependent in iiimf-server?
Comment 1 Nakai 2004-03-11 03:00:26 EST
You can use Ctrl+@ instead...
Comment 2 Akira TAGOH 2004-03-19 01:28:58 EST
the patch has been sent to the upstream.
Comment 3 Warren Togami 2004-04-19 05:04:42 EDT
What about the Kanji button?  (Is that CTRL-` or ALT-`?  I cannot
Comment 4 Akira TAGOH 2004-04-22 01:35:52 EDT
*** Bug 121498 has been marked as a duplicate of this bug. ***
Comment 5 Yoshinobu Akimoto 2004-05-10 01:34:04 EDT
The key code of "Kanji" key is 49, which symbol is assigned 
as "Zenkaku_Hankaku" at default.
This Kanji key is very much familier to Japanese PC users for start 
Kana-Kanji Conversion in Japanese 106 keyboard. 

Following solution is recommended.
(1) Kanji key should be the default Conversion Start (and Stop) key.
(2) Some tools or documents are prepared to change the default 
Conversion Start (and Stop) key. In Kinput2, dafault Conversion Start 
(and Stop) key can be changed by editing the configuration files.
Comment 6 Akira TAGOH 2004-05-10 07:52:28 EDT
we have some problem to do that:
1) IIIMF have only common trigger key, but not LEs-specific trigger key
2) right now IIIMF have no way to change the trigger key.

according to 1) reason, if we fix this problem at this point, we will
have some trigger keys in order to keep the backward compatibilities,
usabilities-- at least we need to have Ctrl-space, Shift-space, Kanji.
and these keys always works to activate IM for LEs. no way to disable
only some trigger key.

BTW the way to allow these is being discussed by the upstream.
Comment 7 Leon Ho 2004-07-13 23:50:47 EDT
*** Bug 127647 has been marked as a duplicate of this bug. ***
Comment 8 Akira TAGOH 2004-08-17 00:55:20 EDT
BTW Although all of problems as I said isn't fixed yet, you can now
change the system wide trigger key with -conversionkeys option for
htt_server (htt will passes the unknown options through htt_server),
like this:
# htt -conversionkeys '<Shift>space'

after that, you can activate the IM with shift+space instead of
ctrl+space. please make sure your iiimsf-* packages and whether your
htt_server accepts -conversionkeys or not. if yes, you will see it in
the help messages with htt_server -h. otherwise you need to update
your packages then.
Comment 10 Leon Ho 2005-02-22 20:37:20 EST
*** Bug 138963 has been marked as a duplicate of this bug. ***
Comment 11 Ed Halley 2005-04-14 23:52:09 EDT
I am a new user of the iiimf-*-12.1-10.FC3.  I have it working on Fedora Core 3,
but currently, both Ctrl+SPACE or Shift+SPACE will enter my chosen input mode
(Japanese).  I would like Ctrl+SPACE to work, but I find that I type Shift+SPACE
too often accidentally in normal typing so would like to disable that keystroke

Sounds like some work is being done upstream to make it somewhat configurable,
but I am looking through the im-sdk package, especially at the user interface
code.  I have found the widgets.c which controls a little bit of the interface
once the user is in a special input mode, but I have not figured out the portion
of the code which implements the Ctrl+SPACE/Shift+SPACE part itself.

Can you give me a hint?
Comment 12 Akira TAGOH 2005-04-18 02:02:19 EDT
Well, For gtk2 and Qt immodules, we have a patch to support the configurable
hotkey. we are waiting for approval from upstream.
Comment 13 Akira TAGOH 2005-04-27 03:24:41 EDT
The configurable hotkey feature is now in 12.2-0.1.svn2578 or later.
Comment 14 Lawrence Lim 2005-05-05 03:18:38 EDT
Confirmed hotkey feature has been implemented.

iiimf-le-tools -g --lang ja --add-hotkey '<shift>space'   --add-hotkey
'<alt>kanji' --add-hotkey 'kanji'

Note You need to log in before you can comment on or make changes to this bug.